<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:researchnotes="http://www.pasteur.fr/ResearchNotes" xmlns:f="http://www.w3.org/1999/xhtml">
    <!-- xsl:template match="/*">
    </xsl:template -->
    <xsl:template match="researchnotes:project">
        <f:p>
            <f:p>
                <f:font style="font-size: 24pt">
                    <xsl:value-of select="@name"/>
                </f:font>
            </f:p>
            <f:p/>
            <f:p/>
            <f:p>
                <f:font style="font-size: 18pt">
                    <xsl:apply-templates select="researchnotes:participant" mode="nom"/>
                </f:font>
            </f:p>
            <f:p/>
            <f:p/>
            <f:font style="font-size: 14pt">
                <f:p>
                    <f:i>
                        <xsl:apply-templates select="researchnotes:participant" mode="affiliation"/>
                    </f:i>
                </f:p>
            </f:font>
            <f:p/>
            <f:p/>
            <f:font style="font-size: 20pt">Abstract</f:font>
            <f:p>
                <xsl:value-of select="researchnotes:abstract"/>
            </f:p>
            <f:p/>
            <f:p/>
            
            <f:font style="font-size: 20pt">Introduction</f:font>
            <f:p/>
            <xsl:value-of select="text()"/> <!-- ToDo -->
            <f:p/>
            
            <f:font style="font-size: 20pt">Materials and Methods</f:font>
            <f:p/>
            <f:p/> Bio-materials: <xsl:value-of select="researchnotes:bio-materials"/>
            
            <f:p>
                <xsl:apply-templates select="//researchnotes:method" mode="lien"/>
            </f:p>
            <f:p/>
            <f:p/>
            
            <f:font style="font-size: 20pt">Results</f:font>
            
            <f:p>
                <xsl:apply-templates select="researchnotes:experiment"/>
            </f:p>
            <f:p/>
            <f:p/>
            
            
            <f:font style="font-size: 20pt">Discussion</f:font>
            
            <f:p>
                <xsl:apply-templates select="researchnotes:experiment"/>
            </f:p>
            <f:p/>
            <f:p/>
            <f:font style="font-size: 20pt">Acknowledgments</f:font>
            <f:p/>
            <f:p/>
            
            <f:font style="font-size: 20pt">References</f:font>
            <f:p/>
            <f:p/>
            <f:p>
                <xsl:apply-templates select="//researchnotes:reference"/>
            </f:p>
            <f:p/>
            <f:p/>
            
            <f:font style="font-size: 20pt">Abbreviations</f:font>
            <f:p/>
            <f:p/>
            
            <f:font style="font-size: 20pt">Address correspondence to</f:font>
        </f:p>
    </xsl:template>
    
    
    
    
    
    <xsl:template match="researchnotes:participant" mode="nom">
        <xsl:value-of select="@first_name"/>, <xsl:value-of select="@last_name"/>; </xsl:template>
    <xsl:template match="researchnotes:participant" mode="affiliation">
        <xsl:value-of select="@affiliation"/>, </xsl:template>
    
    <xsl:template match="researchnotes:method" mode="lien">
        <f:p>
            <f:a href="ipad:///tag?id={@ipad_id}">
                <xsl:value-of select="@name"/>
            </f:a>.</f:p>     
        <!--ici {} equivaut a value-of de xsl-->
        <f:p/>
    </xsl:template>
    
    <xsl:template match="researchnotes:experiment">
        <xsl:value-of select="@name"/>.<f:p/>
        <f:p>
            <xsl:apply-templates select="researchnotes:method" mode="results"/> <!-- ajout-->  <!--ajout d un apply template apres un temlate pour determiner l ordre qu on veut-->
        </f:p>  
    </xsl:template>
    
    <xsl:template match="researchnotes:reference">
        <xsl:value-of select="@authors"/>, <xsl:value-of select="@title"/>.<xsl:value-of
            select="@source"/>.<f:p/>
    </xsl:template>
    
    <xsl:template match="researchnotes:method" mode="results"> <!--ajout-->
        <f:p>           
            <f:a href="ipad:///tag?id={researchnotes:results/@ipad_id}">
                <xsl:value-of select="@name"/>
            </f:a>.</f:p>   
    </xsl:template>
    
    
        <!--    <xsl:value-of select="@name"/></f:p>
        <f:p/>
    
    </xsl:template> -->
</xsl:stylesheet>
